<template>
  <div class="services">
    <div class="container">
      <div class="title">
        <h2>Warehouse Details</h2>
      </div>
      <div class="d-flex">
        <div class="form">
          <!--<h3>Send us a message</h3>-->
          <form  target="_self">
            <p>
              <label for="code">Code:  <span>{{item.code}}</span></label>

            </p>
            <p>
              <label for="">Type: <span>{{item.type}}</span></label>

            </p>
            <p>
              <label for="">Name: <span>{{item.name}}</span></label>
            </p>
            <p>
              <label for="">City: <span>{{item.city}}</span></label>

            </p>
            <p>
              <label for="">Available Space: <span>{{item.space_available}}</span></label>
            </p>
            <p>
              <label for="">Cluster: <span>{{item.cluster}}</span></label>

            </p>

            <p>
              <label for="">Registered: <span v-if="item.is_registered">Yes</span>
                <span v-if="!item.is_registered">No</span></label>

            </p>
            <p>
              <label for="">Is it Live?:
                <span v-if="item.is_live">Yes</span>
                <span v-if="!item.is_live">No</span>
              </label>
            </p>







          </form>
          <p class="full-width">
            <button @click="$router.push({path: '/warehouesUpdate'})" >Edit</button>
          </p>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default{
  name:'services',
  created() {
    this.item = this.$store.state.item;
  },
  data (){
    return{
      title:'services',
      item: null,
    }
  }
}
</script>
<style scoped>
/*div.card {
  width: 100%;
  height: 100%;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  text-align: center;
}

div.header {
  background-color: cornsilk;
  color: #2c3e50;
  padding: 10px;

}

div.container {
  padding: 10px;
}*/
@import url('https://fonts.googleapis.com/css?family=Roboto+Condensed:400,700');

body{
  background: url('http://all4desktop.com/data_images/original/4236532-background-images.jpg');
  font-family: 'Roboto Condensed', sans-serif;
  color: #262626;
  margin: 5% 0;
}
.container{
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}
@media (min-width: 1200px)
{
  .container{
    max-width: 1140px;
  }
}
.d-flex{
  display: flex;
  flex-direction: row;
  background: #f6f6f6;
  border-radius: 0 0 5px 5px;
  padding: 25px;
}

.title{
  background: -webkit-gradient(linear, left top, right bottom, color-stop(0, #5195A8), color-stop(100, #70EAFF));
  background: -moz-linear-gradient(top left, #5195A8 0%, #70EAFF 100%);
  background: -ms-linear-gradient(top left, #5195A8 0%, #70EAFF 100%);
  background: -o-linear-gradient(top left, #5195A8 0%, #70EAFF 100%);
  background: linear-gradient(to bottom right, #5195A8 0%, #70EAFF 100%);
  border-radius:5px 5px 0 0 ;
  padding: 20px;
  color: #f6f6f6;
}
h2{
  margin: 0;
  padding-left: 15px;
}
.required{
  color: red;
}
label, table{
  display: block;
  margin: 15px;
  color: #5195A8;
  font-weight: bold;
}
label>span{

  width: 55%;
  margin-top: 12px;
  padding-right: 10px;
  color: #262626;
}

button{
  width: 30%;
  margin-top: 10px;
  padding: 10px;
  border: none;
  /*border-radius: 30px;*/
  background: linear-gradient(to bottom right, #5195A8 0%, #70EAFF 100%);
  color: #fff;
  font-size: 15px;
  font-weight: bold;
}
button:hover{
  cursor: pointer;
  background: #428a7d;
}
/*form css*/
* {
  box-sizing: border-box;
}

body {
  padding: 1rem;
}

.contain {
  max-width: 1170px;
  margin-left: auto;
  margin-right: auto;
  padding: 1em;
}
@media (min-width: 600px) {
  .contain {
    padding: 0;
  }
}

h3,
ul {
  margin: 0;
}

h3 {
  margin-bottom: 1rem;
}

input:focus,
textarea:focus {
  outline: 3px solid gold;
}

input,
textarea,


.wrapper {
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.2);
}
.wrapper > * {
  padding: 1em;
}
@media (min-width: 700px) {
  .wrapper {
    display: grid;
    grid-template-columns: 1fr 2fr;
  }
  .wrapper > * {
    padding: 2em 2em;
  }
}

ul {
  list-style: none;
  padding: 0;
}

.contacts {
  background: #4b5195;
  color: #fff;
}

.form {
  background: #fff;
}

form {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 20px;
}
form label {
  display: block;
}
form p {
  margin: 0;
}

.full-width {
  grid-column: 1 / 3;
}


input,
textarea {
  padding: 1em;
}

/*button {
  background: lightgrey;
  width: 100%;
  border: 0;
}
button:hover, button:focus {
  background: gold;
  outline: 0;
}*/



.switch-field {
  display: flex;
  margin-bottom: 36px;
  overflow: hidden;
}

.switch-field input {
  position: absolute !important;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  width: 1px;
  border: 0;
  overflow: hidden;
}

.switch-field label {
  background-color: #e4e4e4;
  color: rgba(0, 0, 0, 0.6);
  font-size: 14px;
  line-height: 1;
  text-align: center;
  padding: 8px 16px;
  margin-right: -1px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.3), 0 1px rgba(255, 255, 255, 0.1);
  transition: all 0.1s ease-in-out;
}

.switch-field label:hover {
  cursor: pointer;
}

.switch-field input:checked + label {
  background-color: #a5dc86;
  box-shadow: none;
}

.switch-field label:first-of-type {
  border-radius: 4px 0 0 4px;
}

.switch-field label:last-of-type {
  border-radius: 0 4px 4px 0;
}



.form {
  max-width: 600px;
  font-family: "Lucida Grande", Tahoma, Verdana, sans-serif;
  /*font-weight: normal;*/
  line-height: 1.625;
  margin: 8px auto;
  padding: 16px;
}

h2 {
  font-size: 18px;
  margin-bottom: 8px;
}
</style>